#include<stdio.h>

int main(){

  int n, cj, cd, cs, min, max, sred;

  scanf("%d", &n);
  if(n<100 || n>999){
    printf("-1\n");
    return -1;
  }

  cj=n%10;
  cd=(n/10)%10;
  cs=n/100;

   min=max=cj;
   min=(cd<min)?cd:min;
   min=(cs<min)?cs:min;
   max=(cd>max)?cd:max;
   max=(cs>max)?cs:max;
   
   if(cj>min && cj<max)
     sred=cj;
   if(cd>min && cd<max)
     sred=cd;
   if(cs>min && cs<max)
     sred=cs;

   if(cj==cd)
     sred=cj;
   if(cs==cd)
     sred=cs;
   if(cj==cs)
     sred=cj;
   
   n=min*100+sred*10+max;
       
   printf("%d\n", n);
   return 0;
}